OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions | Data Fields
NetworkClientInfo Struct Reference

Container for all information known about a client. More...

`#include <network_base.h>`

Inheritance diagram for NetworkClientInfo:

## Public Member Functions
| NetworkClientInfo (ClientID client_id=INVALID_CLIENT_ID)
| Create a new client.
| ~NetworkClientInfo ()
| Basically a client is leaving us right now.
Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_networkclientinfo_pool >
void * | operator new (size_t size)
| Allocates space for new Titem.
void * | operator new (size_t size, size_t index)
| Allocates space for new Titem with given index.
void * | operator new (size_t size, void *ptr)
| Allocates space for new Titem at given memory address.
void | operator delete (void *p)
| Marks Titem as free.

## Static Public Member Functions
static NetworkClientInfo * | GetByClientID (ClientID client_id)
| Return the CI given it's client-identifier.
Static Public Member Functions inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_networkclientinfo_pool >
static bool | CanAllocateItem (size_t n=1)
| Helper functions so we can use PoolItem::Function() instead of _poolitem_pool.Function()
static bool | CleaningPool ()
| Returns current state of pool cleaning - yes or no.
static bool | IsValidID (size_t index)
| Tests whether given index can be used to get valid (non-NULL) Titem.
static Titem * | Get (size_t index)
| Returns Titem with given index.
static Titem * | GetIfValid (size_t index)
| Returns Titem with given index.
static size_t | GetPoolSize ()
| Returns first unused index.
static size_t | GetNumItems ()
| Returns number of valid items in the pool.
static void | PostDestructor (size_t index)
| Dummy function called after destructor of each member.

## Data Fields
ClientID | client_id
| Client identifier (same as ClientState->client_id)
char | client_name [NETWORK_CLIENT_NAME_LENGTH]
| Name of the client.
byte | client_lang
| The language of the client.
CompanyID | client_playas
| As which company is this client playing (CompanyID)
Date | join_date
| Gamedate the client has joined.
Data Fields inherited from Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_networkclientinfo_pool >
Tindex | index
| Index of this pool item.

## Detailed Description

Container for all information known about a client.

Definition at line 27 of file network_base.h.

## Constructor & Destructor Documentation

NetworkClientInfo::NetworkClientInfo | ( | ClientID | client_id = `INVALID_CLIENT_ID` | ) |
| inline

Create a new client.

Parameters

  client_id | The unique identifier of the client.

Definition at line 38 of file network_base.h.

## Member Function Documentation

NetworkClientInfo * NetworkClientInfo::GetByClientID | ( | ClientID | client_id | ) |
| static

Return the CI given it's client-identifier.

Parameters

  client_id | the ClientID to search for

Returns
  return a pointer to the corresponding NetworkClientInfo struct or NULL when not found

Definition at line 127 of file network.cpp.

References client_id, and FOR_ALL_CLIENT_INFOS.

Referenced by CmdCompanyCtrl(), NetworkChatWindow::DrawWidget(), NetworkAutoCleanCompanies(), NetworkFindName(), NetworkServerChangeClientName(), NetworkServerDoMove(), NetworkServerSendChat(), NetworkUpdateClientInfo(), NetworkUpdateClientName(), MainWindow::OnHotkey(), NetworkClientListPopupWindow::OnMouseLoop(), PopupClientList(), ServerNetworkAdminSocketHandler::Receive_ADMIN_POLL(), ClientNetworkGameSocketHandler::Receive_SERVER_CHAT(), ClientNetworkGameSocketHandler::Receive_SERVER_CLIENT_INFO(), ClientNetworkGameSocketHandler::Receive_SERVER_ERROR_QUIT(), ClientNetworkGameSocketHandler::Receive_SERVER_JOIN(), ClientNetworkGameSocketHandler::Receive_SERVER_MOVE(), ClientNetworkGameSocketHandler::Receive_SERVER_QUIT(), ServerNetworkGameSocketHandler::SendWelcome(), and NetworkChatWindow::UpdateWidgetSize().

The documentation for this struct was generated from the following files:

- src/network/network_base.h
- src/network/network.cpp